import tensorflow as tf
# MNISTデータセットを用意して、0〜255の整数値を0〜1の小数に変換
mnist = tf.keras.datasets.mnist
(x_train, y_train), (x_test, y_test) = mnist.load_data()
x_train, x_test = x_train / 255.0, x_test / 255.0
 
# モデルの構築
model = tf.keras.models.Sequential([
  tf.keras.layers.Flatten(input_shape=(28, 28)),
  tf.keras.layers.Dense(128, activation='relu'),
  tf.keras.layers.Dropout(0.2),
  tf.keras.layers.Dense(10)
])

# 損失関数
loss_fn = tf.keras.losses.SparseCategoricalCrossentropy(from_logits=True)
 
# モデルのコンパイル
model.compile(optimizer='adam',
              loss=loss_fn,
              metrics=['accuracy'])
 
# ログを出力するためのコールバック関数を定義
tensorboard_callback = tf.keras.callbacks.TensorBoard(log_dir="logs")
 
# モデルのトレーニング
model.fit(x_train, y_train, epochs=5,callbacks=[tensorboard_callback])
 
# モデルの評価
model.evaluate(x_test,  y_test, verbose=2)
